Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveNextUnique Method
SecondaryCursor Class See Also

If the cursor is not yet initialized, MoveNextUnique is identical to MoveFirst()()(). Otherwise, move the cursor to the next non-duplicate key in the database, and store the secondary key and primary key/data pair in Current. MoveNextUnique will return false if no non-duplicate key/data pairs exist after the cursor position in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool MoveNextUnique()

Visual Basic (Declaration)
    Public Function MoveNextUnique As Boolean

Visual C++
    public:
    bool MoveNextUnique()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveNextUnique Overload
BerkeleyDB Namespace